require( "scripts/styles/style.lua" );


MakeState{
	BlgBitmap{
		image = "common/backgrounds/bg_minigamemenu",
		name = "minigamesmenuBG",
		center = {x = 0, y = 0},
	},

	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 0, y = 0},
		label = "Minigame_Menu_Dance",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"level/ravingballs/ravingballs_tutorial.lua"});
			end
	},
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 250, y = 0},
		label = "Minigame_Menu_Dance",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/ravingballs/ravingballs_normal.lua");
			end
	},
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 500, y = 0},
		label = "Minigame_Menu_Dance",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/ravingballs/ravingballs_hard.lua");
			end
	},

	BlgButton{
		name = "sandcastleBtn",
		transformMatrix = {x = 0, y = 100},
		label = "Minigame_Menu_Sand_Castle",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/sandcastle/sandcastle_tutorial.lua");
			end
	},
	
	BlgButton{
		name = "sandcastleBtn",
		transformMatrix = {x = 250, y = 100},
		label = "Minigame_Menu_Sand_Castle",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/sandcastle/sandcastle_normal.lua");
			end
	},
	
	BlgButton{
		name = "sandcastleBtn",
		transformMatrix = {x = 500, y = 100},
		label = "Minigame_Menu_Sand_Castle",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/sandcastle/sandcastle_hard.lua");
			end
	},

	BlgButton{
		name = "sandwichBtn",
		transformMatrix = {x = 0, y = 200},
		label = "Minigame_Menu_Drinks_Easy",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/sandwich/sandwich_tutorial.lua");
			end
	},
	
	BlgButton{
		name = "sandwichBtn",
		transformMatrix = {x = 250, y = 200},
		label = "Minigame_Menu_Drinks_Normal",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/sandwich/sandwich_normal.lua");
			end
	},
	
	BlgButton{
		name = "sandwichBtn",
		transformMatrix = {x = 500, y = 200},
		label = "Minigame_Menu_Drinks_Hard",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/sandwich/sandwich_hard.lua");
			end
	},

	BlgButton{
		name = "backBtn",
		transformMatrix = {x = 0, y = 300},
		label = "back",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				SwapToState("scripts/states/statemainmenu.lua");
			end
	},
}
